Package org.codehaus.groovy.runtime.powerassert

# Class Value

java.lang.Object
org.codehaus.groovy.runtime.powerassert.Value

public class Value extends Object
A value recorded during evaluation of an assertion, along with the column it is associated with in the assertion's normalized source text.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Value(Object value, int column)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumn()`
  `Object`
  `getValue()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Value

    public Value(Object value, int column)

- ## Method Details

  - ### getValue

    public Object getValue()

  - ### getColumn

    public int getColumn()